/* GLASS */

.glass {
  background: rgba(255, 255, 255, 0.5);
  backdrop-filter: blur(20px);
  -webkit-backdrop-filter: blur(20px);
  border-radius: 12px !important;
}

/* RAINBOW */

.rainbow {
  --rainbow: 0deg;
  border: 3px solid transparent;
  border-image: conic-gradient(from var(--rainbow), red, yellow, lime, aqua, blue, magenta, red) 1;
  border-radius: 0 !important;
  box-sizing: border-box;
}

.rainbow-animated {
  animation: 5s rotate linear infinite;
}

@keyframes rotate {
  to {
    --rainbow: 360deg;
  }
}

@property --rainbow {
  syntax: '<angle>';
  inherits: true;
  initial-value: 0deg;
}


/* BLACK NIGHT */

.black-knight {
  --bk-border-size: 7px;
  --bk-border-angle: 0turn;
  background-image: conic-gradient(from var(--bk-border-angle), #213, #112 50%, #213), conic-gradient(from var(--bk-border-angle), transparent 20%, #08f, #f03);
  background-size: calc(100% - (var(--bk-border-size) * 2)) calc(100% - (var(--bk-border-size) * 2)), cover;
  background-position: center center;
  background-repeat: no-repeat;
  -webkit-animation: bg-spin 3s linear infinite;
  animation: bg-spin 3s linear infinite;
  border-radius: 0 !important;
}

.black-knight > * {
  color: white !important;
}

.black-knight > .text-center > .btn {
  color: white !important;

}

.black-knight > .row > .text-center > .btn {
  color: white !important;

}

@-webkit-keyframes bg-spin {
  to {
    --bk-border-angle: 1turn;
  }
}

@keyframes bg-spin {
  to {
    --bk-border-angle: 1turn;
  }
}

.black-knight:hover {
  -webkit-animation-play-state: paused;
  animation-play-state: paused;
}

@property --bk-border-angle {
  syntax: "<angle>";
  inherits: true;
  initial-value: 0turn;
}

/* COLORFUL */

.colorful {
  --border-width: 3px;
  background: #222;
  border-radius: var(--border-width);
}

.colorful::after {
  content: "";
  position: absolute;
  top: calc(-1 * var(--border-width));
  left: calc(-1 * var(--border-width));
  width: calc(100% + var(--border-width) * 2);
  height: calc(100% + var(--border-width) * 2);
  z-index: -1;
  background: linear-gradient(60deg, #5f86f2, #a65ff2, #f25fd0, #f25f61, #f2cb5f, #abf25f, #5ff281, #5ff2f0);
  background-size: 300% 300%;
  background-position: 0 50%;
  border-radius: calc(2 * var(--border-width));
  animation: moveGradient 4s alternate infinite;
}

@keyframes moveGradient {
  50% {
    background-position: 100% 50%;
  }
}


/* AMBIENT */


.ambient {
  position: relative;
  margin: 300px auto 0;
  background: linear-gradient(0deg, #000, #272727);
}

.ambient:before, .ambient:after {
  position: absolute;
  left: -2px;
  top: -2px;
  background: linear-gradient(45deg, #fb0094, #0000ff, #00ff00, #ffff00, #ff0000, #fb0094,
  #0000ff, #00ff00, #ffff00, #ff0000);
  background-size: 400%;
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  z-index: -1;
  animation: ambient-steam 20s linear infinite;
}

@keyframes ambient-steam {
  0% {
    background-position: 0 0;
  }
  50% {
    background-position: 400% 0;
  }
  100% {
    background-position: 0 0;
  }
}

.ambient:after {
  filter: blur(50px);
}


/* SEARCHLIGHT */


.searchlight {
}

.searchlight:before, .searchlight:after {
  position: absolute;
  left: -2px;
  top: -2px;
  background: linear-gradient(90deg, #fb0094, #0000ff, #00ff00, #ffff00, #ff0000, #fb0094,
  #0000ff, #00ff00, #ffff00, #ff0000);
  background-size: 250%;
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  z-index: -1;
  animation: searchlight-steam 20s linear infinite;
}

@keyframes searchlight-steam {
  0% {
    background-position: 0 0;
  }
  50% {
    background-position: 400% 0;
  }
  100% {
    background-position: 0 0;
  }
}

.searchlight:after {
  filter: blur(50px);
}

/* //////////////////////////////////////////////////////// */

.theme-body {
  width: 100% !important;
  height: 100% !important;
  min-width: 100% !important;
  min-height: 100vh !important;
}

.theme1-pp {
  margin-bottom: .5rem !important;
  padding: 15px;
  border-radius: 50% !important;
  box-shadow: 0 0 5px rgba(0, 0, 0, .125), 0px 5px 3px rgba(0, 0, 0, .2);
}

.theme1-pp-sqr {
  margin-bottom: .5rem !important;
  padding: 15px;
  border-radius: 20% !important;
  box-shadow: 0 0 5px rgba(0, 0, 0, .125), 0px 5px 3px rgba(0, 0, 0, .2);
  width: 250px;
}

.theme1-name {
  font-weight: bold;
  font-size: x-large;
}

.theme1-company {
  font-weight: bold;
  font-size: x-large;
}

.theme1-title {
  font-size: large;
}

.theme1-app-logo-group {
  display: flex;
  gap: 15px;
  flex-direction: column;
}

.theme1-app-logo-group img {
  width: 60%;
}

.theme1-btn-group {
  display: flex;
  justify-content: center;
  gap: 15px;
  flex-wrap: wrap;
}

.theme1-btn {
  border: 1px solid #727a93;
  background: #33384733;
  flex: 1 1 auto;
  display: flex;
  flex-direction: column;
  padding: 0.5rem 0.9rem;
  font-size: 0.825rem;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  text-align: center;
  vertical-align: middle;
  cursor: pointer;
  border-radius: 0.25rem;
}

.theme1-btn:hover {
  background: rgba(51, 56, 71, 0.6);
}

.theme1-btn-group > .logo {
  flex-grow: 1;
  flex-shrink: 0;
  flex-basis: 45%;
}

.theme1-qr {
  border: 5px solid white;
  border-radius: 7px;
}

.theme1-mt-100 {
  margin-top: -100px;
}

.theme1-pt-100 {
  padding-top: 100px;
}

.theme1-mb-100 {
  margin-bottom: 15px !important;
}

@media (max-width: 767px) {
  .theme1-mb-100 {
    margin-bottom: 100px !important;
  }
}
